// creator  : weidu.exe (version 23100)
// argument : C6MESS.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~C6MESS~

IF ~Global("Chapter","GLOBAL",6)~ THEN BEGIN 0 // from:
  SAY #53110 /* ~Ah!  <CHARNAME>, you are *here*.  This is most fortunate, as I had just recently been dispatched to track you down and deliver a message.  Well... this makes things much easier, doesn't it?~ */
  IF ~Global("PlayerThiefGuild","GLOBAL",1)
Global("PGFailed","GLOBAL",0)~ THEN GOTO 1
  IF ~OR(2)
!Global("PlayerThiefGuild","GLOBAL",1)
!Global("PGFailed","GLOBAL",0)~ THEN GOTO 2
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #53111 /* ~As you are a member of the Shadow Thieves, the Shadowmaster himself, Aran Linvail, requests your presence as soon as possible on a matter of utmost urgency.~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #53112 /* ~You have done our guild great services in the past, and the Shadowmaster, Aran Linvail, extends the guild's continued hospitality... and requests to speak to you as soon as possible.~ */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.0 1.0
  SAY #53113 /* ~I do not know the reason for his requested audience, <PRO_SIRMAAM>, but he awaits you in his chambers below.~ */
  IF ~~ THEN REPLY #53114 /* ~Very well.  I will go and see him now.~ */ GOTO 4
  IF ~~ THEN REPLY #53115 /* ~And if I refuse?~ */ GOTO 5
  IF ~Global("PlayerThiefGuild","GLOBAL",1)
Global("PGFailed","GLOBAL",0)~ THEN REPLY #53116 /* ~Forget it.  I have no interest in speaking to Aran Linvail.~ */ GOTO 7
  IF ~OR(2)
!Global("PlayerThiefGuild","GLOBAL",1)
!Global("PGFailed","GLOBAL",0)~ THEN REPLY #53117 /* ~Forget it.  I have no interest in speaking to Aran Linvail.~ */ GOTO 5
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY #53118 /* ~Excellent.  The Shadowmaster will be pleased.  I will go and tell him that you will be attending him shortly.~ */
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 5 // from: 3.3 3.1
  SAY #53120 /* ~Well, uh... the request I have is politely worded, and I happen to know that the Shadowmaster holds you in high regard.  I... personally, I would not be so quick to throw away such a friend.~ */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 7.0 5.0
  SAY #53121 /* ~I will go and tell him you are here, at least.  You may go and speak to him at your leisure, should you desire to, I suppose.~ */
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 3.2
  SAY #53122 /* ~But... but you are a Shadow Thief!  How can you refuse him?  I... I know the Shadowmaster holds you in very high regard, but I'm not sure he would put up with such impertinence.  It's... your choice, I suppose.~ */
  IF ~~ THEN GOTO 6
END
